#include <iostream>

using namespace std;

long long int n, k, niz[2000005], a, nula = 1000000;

int main(){
	cin >> n >> k;
	for(int i = 0; i < n; i++){
		cin >> a;
		niz[a+nula]++;
	}
	for(int i = -1000000; i <= 1000000; i++){
		if(niz[i+nula] >= k) cout << i << " ";
	}
	return 0;
}